Subject: Re: [Bitcoin-development] [RFC] [BIP proposal] Dealing with malleability

From: Gregory Maxwell <[email-masked]>
Date: Thu, 20 Feb 2014 22:30:25 -0800

On Thu, Feb 20, 2014 at 10:07 PM, Mike Hearn <[email-masked]> wrote:
> No, I was thinking of the height in coinbase change. At any rate, p2sh was
> supported by the consensus code in bitcoinj for a long time already, since
> it was first written.
>
> Support for sending to such addresses in the wallet appeared once an app
> that wanted that support also appeared, which seems OK - the market for
> wallets is very competitive so there will always be some skew in what
> features are worked on in what order. V3 transactions are a consensus change
> that wallets will pick up at different times like any other feature.

We're in agreement.  I had mistakenly believed you were supporting the
discussion about trying to force these constraints on current version
transactions, in which case "wallets will pick up at different times"
is an absolute deal breaker.  :)